Package: grails.web.mime

## [Java] Interface MimeUtility

-     public interface MimeUtility

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.List<MimeType>` | `getKnownMimeTypes()` Gets the known configured MimeType instances
    `` | `public MimeType` | `getMimeTypeForExtension(java.lang.String extension)` Obtains a MimeType for the given extension
    `` | `public MimeType` | `getMimeTypeForURI(java.lang.String uri)` Obtains a MimeType for the given extension

- - ### Method Detail

    - #### public java.util.List<MimeType> getKnownMimeTypes()

      Gets the known configured MimeType instances

      Returns:
        An array of MimeType instances

    - #### public MimeType getMimeTypeForExtension(java.lang.String extension)

      Obtains a MimeType for the given extension

      Parameters:
        `extension` - The extension
      Returns:
        The MimeType instance or null if not known

    - #### public MimeType getMimeTypeForURI(java.lang.String uri)

      Obtains a MimeType for the given extension

      Parameters:
        `uri` - The URI to use
      Returns:
        The MimeType instance or null if not known